

/*
********Top Nav***********
*/
function setupNav(nav){
    if( $(nav).size() < 1 ) return false;
    
  
    $(nav).children('li').children('a').each( function(){ 
      $(this).parent().mouseover( function(){ 
        $(this).children('ul').show();
        $(this).addClass('sfhover');
      });
      $(this).parent().mouseout( function(){ 
        $(this).children('ul').hide();
        $(this).removeClass('sfhover');
      });     
    });
    


  
}

/*

*******Cycle*******

  Based on the work of:
    Matt Oakes: http://portfolio.gizone.co.uk/applications/slideshow/
    Torsten Baldes: http://medienfreunde.com/lab/innerfade/
*/

(function($) {

$.fn.cycle = function(options) {

  this.each(function(){
  
    var settings = {
      animationtype: 'fade',
      speed: 1000,
      timeout: 8000,
      containerheight: 'auto',
      runningclass: 'cycle',
      playState: 'play'
    };

    if(options) $.extend(settings, options);
    var elements = $(this).find('ul').children();
  
    if (elements.length > 1) {

      $(this).css('float', 'left');
      $(this).find('ul').css('position', 'relative');
      $(this).addClass(settings.runningclass);
      $(this).find('ul').css('height', settings.containerheight);
      $(this).find('li').slice(0,1).css('display','block');
      $(this).append("<div class='nav'><a class='button previous' href='#'>Previous</a><a class='button pause' href='#'>Pause</a><a class='button next' href='#'>Next</a><ul class='numbers'></ul></div>");

      $(this).find(".nav").css({marginTop:outerHeight($(this).find("li:eq(0)")) + "px"});
      
      settings.parent = $(this);

      for ( var i = 0; i < elements.length; i++ ) {
        $(elements[i]).css('z-index', String(elements.length-i)).css('position', 'absolute');
        $(elements[i]).hide();
        $(this).find(".nav .numbers").append('<li><a href="#">' + (i + 1) + '</a></li>');
      };
      
      $(this).find(".nav .numbers li:first").addClass("active");
      $(this).find(".nav .numbers li:last a").addClass("last");

      settings.next = 1; settings.current = 0;
      setTimeout(function(){$.cycle.next(elements, settings);}, settings.timeout);
      $(elements[0]).show();

    };
    
  //Pause Button  
    $(this).find('.pause').click(function() {
    
      settings.playState = (settings.playState == "pause") ? "play" : "pause";
      $(this).toggleClass("play");
      
      return false;
    });
  
  //Next Button
    $(this).find('.next').click(function() {
                 
      settings.playState = "pause";
      $(this).parent(".nav").find(".pause").addClass("play");
      
      $.cycle.transition(settings, elements);
      return false;
    });
    
  //Previous Button
    $(this).find('.previous').click(function(next, current) {
    
      settings.playState = "pause";
      $(this).parent(".nav").find(".pause").addClass("play");
      
      if ( settings.current == 0 ) { settings.next = elements.length - 1; } else { settings.next = settings.current - 1; };
      $.cycle.transition(settings, elements, next, current);
      return false;
    });
  
  //Number Buttons
    $(this).find(".numbers li").click(function() {
       
      if(!$(this).hasClass("active")) {
        $(settings.parent).find(".numbers li").removeClass("active");
        $(this).addClass("active");
        
        settings.playState = "pause";
        $(settings.parent).find(".nav .pause").addClass("play");
      
        settings.next = $(this).find("a").text() - 1;
        $.cycle.transition(settings, elements);
      }
      
      return false;
    });

  });
};

$.cycle = function() {}
  $.cycle.next = function (elements, settings) {
  if ( settings.playState == 'play' ) { $.cycle.transition(settings, elements); };
    setTimeout((function(){$.cycle.next(elements, settings);}), settings.timeout);
  };

  $.cycle.transition = function (settings, elements) {
  
    $(settings.parent).find(".nav").css({marginTop:outerHeight($(settings.parent).find("li:eq(" + settings.next + ")")) + "px"});
    $(settings.parent).find(".nav .numbers li").removeClass("active");
    $(settings.parent).find(".nav .numbers li:eq(" + settings.next + ")").addClass("active");

    $(settings.parent).find(".elements li:visible").fadeOut(settings.speed);
    $(elements[settings.next]).fadeIn(settings.speed);

    if ( ( settings.next + 1 ) < elements.length ) {
      settings.next = settings.next + 1;
      settings.current = settings.next - 1;
    } else {
      settings.next = 0;
      settings.current = elements.length - 1;
    };

  };
})(jQuery);

$(document).ready(function(){
  $(".cycle").cycle();
  positionDiv();
  accMenu();
  paginateCs();
  frameHeight();
  setupNav('#menu');
  setupNav('#option1');
  setupNav('#option2');
  setupNav('#option3');
});

/*

*******Scroll*******

  Based on the work of:
    Matt Oakes: http://portfolio.gizone.co.uk/applications/slideshow/
    Torsten Baldes: http://medienfreunde.com/lab/innerfade/
*/

$.fn.accessscroll = function(settings) {
  settings = $.extend({
    scrollSpeed: "slow",
    scrollItemsPerSet: "2",
    scrollPosition:"0"
  }, settings);
  return this.each(function(i) {
    ascroll.init(settings,this);
  });
};
var scroll = function(s,p) {
  var item = $(p).find(".contianer");
  
  if(s.scrollPosition==0 || s.scrollPosition=="NaN")
    s.scrollPosition = s.animateLeft;
  else
  {
    s.scrollPosition = parseInt(s.scrollPosition) + parseInt(s.animateLeft);
    s.animateLeft = s.scrollPosition;
  }
  $(p).find(".container").stop().animate({ left: s.animateLeft }, s.scrollSpeed);
}

var ascroll = {
      init: function(s, p) {
          if ($.browser.msie && $(p).hasClass("featured-items")) {
              var parentWidth = $(p).find(".box-body").width() - (parseInt($(p).find(".box-body").css("paddingLeft")) + parseInt($(p).find(".box-body").css("paddingRight")));
              $("mainIte").css({ width: parentWidth + "px" });
              $(p).find(".box-body").css({ width: parentWidth + "px" });
              
          }

          var itemWidth = outerWidth($(p).find(".elements li:eq(0)"));

          var itemLength = $(p).find(".elements li").length;
          var itemSets = Math.ceil(itemLength / s.scrollItemsPerSet);
          var scrollContainerWidth = itemLength * itemWidth;
          

          $(p).find(".elements").wrap("<div class='container'></div>");
          $(p).find(".container").css("width", scrollContainerWidth+8 + "px");
          

          if (itemSets > 1) {

              $(p).append("<div class='nav'><a id=\"previous\" class='button previous disabled' href='#'>Previous</a><a class='button next' href='#'>Next</a></div>");

              if ($(p).hasClass("featured-items")) {

                  $(p).find(".nav").append('<ul class="dots"></ul>');

                  for (var i = 0; i < itemSets; i++) {
                      $(p).find(".dots").append("<li><a href='#'>" + (i + 1) + "</a></li>");
                  };

                  $(p).find(".dots li").slice(0, 1).addClass("active");
                  $(p).find(".dots li:last a").addClass("last");
                  
              }
              else {
                  $(p).find(".nav").append('<ul class="numbers"></ul>');
                  for (var i = 0; i < itemSets; i++) {
                      $(p).find(".numbers").append("<li><a class='nn' href='#'>" + (i + 1) + "</a></li>");
                  };
                  $(p).find(".numbers li").slice(0, 1).addClass("active");
                  $(p).find(".numbers li:last a").removeClass("nn").addClass("last");
              }
              // Next Button
              $(p).find(".next").click(function() {
                  if (!$(p).find(".next").hasClass("disabled")) {
                    try
                    {
                      var currentItem = parseInt($(p).find(".dots .active").text());
                      var nextItem = $(p).find(".dots li:nth-child("+ (currentItem + 1) +")");
                      if(isNaN(currentItem))
                      {
                        currentItem = parseInt($(p).find(".numbers .active").text());
                        nextItem = $(p).find(".numbers li:nth-child("+ (currentItem + 1) +")");
                      }
                    }catch(e)
                    {
                      alert('s');
                    }
                   $(nextItem).trigger('click');
                     var setWidth = itemWidth * s.scrollItemsPerSet;
                    
                  }
                  if ((parseInt($(p).find(".container").css("left")) + parseInt($(p).find(".container").css("width")) - setWidth) <= setWidth) {
                      $(p).find(".next").addClass("disabled");
                  }
                  $(p).find(".next").trigger('blur');
                  return false;
              });
              //Previous Button
              $(p).find("#previous").click(function() {
                  if (!$(p).find("#previous").hasClass("disabled")) {
                    try{
                      var currentItem = parseInt($(p).find(".dots .active").text());
                      var nextItem = $(p).find(".dots li:nth-child("+ (currentItem - 1) +")");
                      if(isNaN(currentItem))
                      {
                        currentItem = parseInt($(p).find(".numbers .active").text());
                        nextItem = $(p).find(".numbers li:nth-child("+ (currentItem - 1) +")");
                      }
                    }catch(e)
                    {
                      alert('d');
                    }
                    $(nextItem).trigger('click');
                    $(p).find("#previous").trigger('blur');
                  }
                  if (parseInt($(p).find(".container").css("left")) >= -(itemWidth * s.scrollItemsPerSet)) {                  
                    $(p).find("#previous").addClass("disabled");
                  }
                  return false;
              });
              //Number Buttons
              $(p).find(".numbers li").click(function() {
                  if (!$(this).hasClass("active")) {
                    
                      var currentItem = parseInt($(p).find(".numbers .active").text());
                      var selectedItem = parseInt($(this).text());
                      if (currentItem > selectedItem) var direction = "+"; else direction = "";
                      s.animateLeft = direction + (itemWidth * s.scrollItemsPerSet) * (currentItem - selectedItem);
                      scroll(s, p);
                      $(p).find(".numbers li").removeClass("active");
                      $(this).addClass("active");
                      $(p).find(".nav a").removeClass("disabled")
                      if ($(this).text() == 1)
                          $(p).find("#previous").addClass("disabled");
                      else if ($(this).text() >= ($(p).find(".elements li").length / s.scrollItemsPerSet))
                          $(p).find(".next").addClass("disabled");
                      else
                          $(p).find(".next").removeClass("disabled");
                  }
                  return false;
              });
              $(p).find(".dots li").click(function() {
                  if (!$(this).hasClass(".active")) {
                      var currentItem = parseInt($(p).find(".dots .active").text());
                      var selectedItem = parseInt($(this).text());
                      if (currentItem > selectedItem) var direction = "+"; else direction = "";
                      s.animateLeft = direction + (itemWidth * s.scrollItemsPerSet) * (currentItem - selectedItem);
                      scroll(s, p);
                      $(p).find(".dots li").removeClass("active");
                      $(this).addClass("active");
                      $(p).find(".nav a").removeClass("disabled")
                      if ($(this).text() == 1)
                          $(p).find("#previous").addClass("disabled");
                      else if ($(this).text() >= ($(p).find(".elements li").length / s.scrollItemsPerSet))
                          $(p).find(".next").addClass("disabled");
                      else
                          $(p).find(".next").removeClass("disabled");
                  }
                  return false;
              });
          }
      }
  };

$(document).ready(function() {
 $(".scroll").each(function() { $(this).accessscroll({ scrollSpeed:
"medium", scrollItemsPerSet: "2" }); });
 $(".featured-items").each(function() { $(this).accessscroll({
scrollSpeed: "slow", scrollItemsPerSet: "2" }); });
});


/*

*******Bits*******

*/


// Returns the number only pixel of a given item
var num = function(el, prop) {
  return parseInt($.css(el.jquery?el[0]:el,prop))||0;
};

// Returns the outerHeight of a given item
var outerHeight = function(element) {
  outerWidthResult = element.height() + num(element,'borderTopWidth') + num(element, 'borderBottomWidth') + num(element, 'paddingTop') + num(element, 'paddingBottom') + num(element, ',marginTop') + num(element, 'marginBottom');
  return outerWidthResult;
}

// Returns the outerWidth of a given item
var outerWidth = function(element) {
  outerWidthResult = element.width() + num(element,'borderLeftWidth') + num(element, 'borderRightWidth') + num(element, 'paddingLeft') + num(element, 'paddingRight') + num(element, ',marginLeft') + num(element, 'marginRight');
  return outerWidthResult;
}

$.fn.popUp = function() {
  $(this).click(function () {  
    var hrefLocation = $(this).attr("href");
    window.open(hrefLocation, 'popup', 'toolbar=0,scrollbars=yes,location=1,statusbar=0,menubar=1,resizable=1,width=820,height=580,left=20,top=20');
    return false;
  });
};

//Swaps out gallery media elements (such as a photo gallery or timeline component)
$.fn.galleryToggle = function() {

  if( !$("#video").attr("id") ) {
  
    var elementId = (location.hash).substring(1);

    if (elementId) {  
      var playerURL = "http://photos.america.gov/galleries/amgov" + elementId;
      $.fn.galleryToggle.swap(playerURL,elementId);
    } else if ( !(elementId) && ($(".player").attr("class")) ) {
      var playerURL = $(".collection-box li:eq(0) a.gallerylink").attr("href");
      var elementId = playerURL.split('amgov')[1];
      $.fn.galleryToggle.swap(playerURL,elementId);
    }

    this.each(function() {
      $(this).find(".collection-box li, .box-body li").click(function () {
        var playerURL = $(this).find("a.gallerylink").attr("href");
        var elementId = playerURL.split('amgov')[1];
        $.fn.galleryToggle.swap(playerURL,elementId);
        return false;
      });
    });
  }
};

$.fn.galleryToggle.swap = function(playerURL,elementId) {
  $(".player").html('<iframe src="' + playerURL + '" frameborder=0 width=616 height=418 scrolling=no></iframe>');
  parent.location.hash = elementId;
  $.fn.galleryToggle.activeHighlight(playerURL);
};

$.fn.galleryToggle.activeHighlight = function(playerURL) {
  $(".collection-box").find("li").removeClass("active");
    
  var matchContent = $("a[href=" + playerURL + "]:eq(1)").text();    
  var tabName = $(".collection-box ul:contains('" + matchContent + "')").attr("title");

  if(matchContent && tabName) {
    $(".collection-nav").find("li").removeClass();
    $(".collection-box").find(".elements").hide();

    $(".collection-box ul:contains('" + matchContent + "')").show();
    $(".collection-box li:contains('" + matchContent + "')").addClass("active");
    $(".collection-nav li:contains('" + tabName + "')").addClass("active");
  }
};


// Tabbed Displays in which the tab is on the left (calendars, etc)
$.fn.tab = function() {
  this.each(function(){
    var columnWidth = $(this).width();
    if(columnWidth < 316) var column = "narrow"; else var column = "wide";
    $(this).find(".box-body:eq(0)").addClass("modified " + column);

    var tabHeight = outerHeight($(this).find(".tab-nav:eq(0)"));
    var i = 0;
    while ((i + 1) <= $(this).find(".tab-content").length) {
      if(i != 0) {
        var moveTabHeight = tabHeight * i;
        $(this).find(".tab-content:eq(" + i + ")").css({marginTop:-moveTabHeight});
      }
      i++;
    };

  });
  $(".tab-nav").click(function () {  
    $(this).parent().parent().find("li").removeClass("active");
    $(this).parent().addClass("active");
    return false;
  });
};

//Tabbed Collection Boxes (Such as on the video, photo gallery or webchat pages)
$.fn.tabbedCollection = function() {

  var p = $(this); 
  $(p).prepend("<ul class='collection-nav'></ul>");
  
  var i = 0;
  while ((i + 1) <= $(p).find(".elements").length) {
    var currentElement = $(p).find(".elements:eq(" + i + ")");
    var tabName = $(currentElement).attr("title");
    var tabID = "tab" + Math.floor(Math.random()*1001)
    $(p).find(".collection-nav").append("<li class=\"open\"><a href='#" + tabID + "' rel='#" + tabID + "'>" + tabName + "</a></li><li class=\"close\"></li>");
    $(currentElement).attr({"id":tabID});
    i++;
  };
  
  $(p).find(".collection-nav li:eq(0)").addClass("active");
  $(p).find(".collection-box li:eq(0)").addClass("active");

  $(p).find(".elements").hide();
  $(p).find(".elements:eq(0)").show();

  $(p).find(".collection-box li").click(function () {
    $(".collection-box li.open").removeClass("active");
    $(this).addClass("active");
  });

  $(p).find(".collection-nav li.open").click(function () {  
    $(this).parent().find("li").removeClass("active");
    $(this).addClass("active");

    var elementList = $(this).find("a").attr("rel");
    //elementList = elementList.hash;
    $(p).find(".elements").hide();
    $(p).find(elementList).show();
    return false;
  });
};

// Search Text Hint Show/Hide
// By Remy Sharp: http://remysharp.com/2007/01/25/jquery-tutorial-text-box-hints/
$.fn.hint = function () {
  return this.each(function (){
    var p = $(this); 
    var title = p.attr('title'); 
    if (title) { 
      p.blur(function (){ if (p.val() == '') { p.val(title); p.addClass('blur'); } });
      p.focus(function (){ if (p.val() == title) { p.val(''); p.removeClass('blur'); } });
      p.parent().submit(function(){ if (p.val() == title) { p.val(''); p.removeClass('blur'); } });
      p.blur();
    }
  });
}

//Swap web chat elements from the hidden list
$.fn.webchatSwap = function () {
  var p = this;
  $(p).find("#webchat-items").hide();

  var elementId = location.hash;
  if (elementId) {
    $.fn.webchatSwap.swap(elementId,p);
  } else {
    var elementId = "#" + $(p).find("#webchat-items div:eq(0)").attr("id");
    if(elementId != "#undefined") $.fn.webchatSwap.swap(elementId,p);
  }

  $(this).find(".collection-box li").click(function () {  
    var elementId = $(this).find("a:eq(0)").attr("href");
    $.fn.webchatSwap.swap(elementId,p);
    parent.location.hash = elementId;
    return false;
  });
}

$.fn.webchatSwap.swap = function(elementId,p) {
  $(p).find(".webchat-current").empty();
  $(elementId).clone().appendTo($(p).find(".webchat-current")).enlarge();

  if($.browser.msie && ($.browser.version < 7)) { //This is a *really* dirty IE6 hack. C'est la vie.
    $(p).find(".webchat-current").empty();
    $(elementId).clone().appendTo($(p).find(".webchat-current")).enlarge();
  }
};

$(function() {

  $(".tabbed").tab();
  $(".search-text").hint();

  $("#webchats, #ejournals").webchatSwap();
  $(".tabbed-collection").tabbedCollection(); //Top tabs function, active state on content elements. Used for video, webchats, photos
  $("#photo .tabbed-collection, #photo .scroll").galleryToggle();

  $(".quiz").quiz();

  $("a[href*='#popup']").popUp();

  $(".print a").click(function () { window.print(); return false; });
  $(".back").click(function () { history.go(-1); return false; });

  //Preserves the mouse-over on top-level menu elements when hovering over children
  $("#menu ul ul").each(function(i){
    $(this).hover(function(){
      $(this).parent().find("a").slice(0,1).addClass("maintainHover"); 
    },function(){ 
      $(this).parent().find("a").slice(0,1).removeClass("maintainHover"); 
    });
  });

  // IE6 Fix: Drop-down fix due to lack of support for :hover on list elements
  if($.browser.msie && ($.browser.version < 7)) {
    $("#menu ul").each(function(i){
      $(this).find("li").hover(function(){
        $(this).find("ul").addClass("ieHover");
      },function(){ 
        $(this).find("ul").removeClass("ieHover"); 
      });
    });
  }

  // IE6 Fix: Corrects IE6' lack of :first-child support 
  if($.browser.msie && ($.browser.version < 7)) {
    //$("#index .package-list li:last-child").css({ border: "none", marginBottom: "0", paddingBottom: "0" }); <-- Not needed?
    $("#footer li:last-child").css({ border: "none", marginRight: "0", paddingRight: "0" });
    $("#package .rss-items li:last-child").css({ border: "none" });
  }

  //Zebra Striping for tables
  $("tr:nth-child(odd)").addClass("odd");
  
});

/*

*******Enlarge*******

*/


$(function() {

  $("a[rel='enlarge']").prepend("<div class='enlarge'/>");

  var viewport = {
    o: function() {
      if (self.innerHeight) {
        this.pageYOffset = self.pageYOffset;
        this.pageXOffset = self.pageXOffset;
        this.innerHeight = self.innerHeight;
        this.innerWidth = self.innerWidth;
      } else if (document.documentElement && document.documentElement.clientHeight) {
        this.pageYOffset = document.documentElement.scrollTop;
        this.pageXOffset = document.documentElement.scrollLeft;
        this.innerHeight = document.documentElement.clientHeight;
        this.innerWidth = document.documentElement.clientWidth;
      } else if (document.body) {
        this.pageYOffset = document.body.scrollTop;
        this.pageXOffset = document.body.scrollLeft;
        this.innerHeight = document.body.clientHeight;
        this.innerWidth = document.body.clientWidth;
      }
      return this;
    },
    
  init: function(el) {  
      $(el).css({visibility: "visible"});
      $(el).css("width",($(".enlarge_large_image").width() + 60));
      $(el).css("left",Math.round(viewport.o().innerWidth/2) + viewport.o().pageXOffset - Math.round($(el).width()/2));
      $(el).css("top",Math.round(viewport.o().innerHeight/2) + viewport.o().pageYOffset - Math.round($(el).height()/2));
      $(el).hide().fadeIn("medium",function(){$('#enlarge_loading').remove();});
    }
  };

  $("a[rel='enlarge']").click(function(){

    $("body").append("<div id='enlarge_loading'></div>");
   
    $(".enlarge_window").remove();

    // Checks if the image has a title, otherwise gets text in the HTML element (since it'll probably be an anchor
    if($(this).find("img").attr("rel")) { var srtTitle = $(this).find("img").attr("rel") } else { var srtTitle = $(this).text() }

    // Checks if the image has an alt tag, otherwise gets text in the HTML element (since it'll probably be an anchor
    if($(this).find("img").attr("alt")) { var srtAlt = $(this).find("img").attr("alt") } else { var srtTitle = $(this).text() }

    // Checks if the image has an title tag, otherwise gets text in the HTML element (since it'll probably be an anchor
    if($(this).find("img").attr("title")) { var srtAlt = $(this).find("img").attr("title") } else { var srtTitle = $(this).text() }
                  
    var strEnlarge = "<div class='enlarge_window'><div>";
    strEnlarge += "<a href='#' class='enlarge_close'>[x] Close</a>";
    strEnlarge += "<img src='" + $(this).attr("href") + "' class='enlarge_large_image' title='" + srtAlt + "' alt='" + srtAlt + "' />";
    strEnlarge += "<p>" + srtTitle + "</p>";
    strEnlarge += "</div></div>";

    $("body").append(strEnlarge);
    
  //Check if image is loaded
    $(".enlarge_large_image").load( function() { viewport.init(".enlarge_window"); });
      
    $("#enlarge_overlay,.enlarge_window").click(function(){
      $("#enlarge_overlay,.enlarge_window").fadeOut("medium",function(){$('#enlarge_overlay,#enlarge_loading,#enlarge_hideSelect,.enlarge_window').remove();});

      if (typeof document.body.style.maxHeight == "undefined") {//if IE 6
        $("body","html").css({height: "auto", width: "auto"});
        $("html").css("overflow","");
      }

      return false;
    });
    return false;
  });
});
  
/*
******* 2nd Enlarge Image Positioning*******
*/
function positionDiv() {
   var kids = $("#middle-content-article p").size();
   if(kids%2)kids++;
   var mf = Math.floor(kids / 2);
   $("#ie2").prependTo('#middle-content-article p:eq(' + mf + ')');
}

/*
******* Email - Print*******
*/  
  
function mailpage()
{  
mail_str = "mailto:?subject= " + document.title;  
mail_str += "&body= I recommend this Embassy's webpage -- " + document.title;  
mail_str += ". You should check this out at, " + location.href;   location.href = mail_str;
}


/*  -|-|- */
/*********************************************************************************************
* NAME:     paginateCs() 
* CALLED BY:  Loads when the DOM is loaded
* PURPOSE:  On pages that have the #pagination id, this controls the active state and 
*       previous/next buttons for the pagination collaboration system
*********************************************************************************************/
function paginateCs() {
  
  //Only performs the following actions if the document has an element with the id, #pagination             
  if( $('#pagination') ){
    var aArr = [];
    var cur = 0;
    var aPrev = $('#pagination').find('#previous');
    var aNext = $('#pagination').find('#next');
    
    //Finds all of the links with the class .pa and then calls the parseUrl object to get only
    //the last name in the path, minus it's extension. Example, /test/hello.html would return hello.
    //This is then compared to the current URL. If a match is found, it assigns the class .active
    //to that link's parent, an <li> element. The url's are then fed into an array for manipulation.
    $('#pagination').find('.pa').each( function(index) {
      if( parseUrl(location.href) == parseUrl($(this).attr('href')) ) {
        $(this).parent().addClass('active');
        cur = index;
      }
          
      aArr[index] = $(this).attr('href');
    });

    //The following if/else statements control the previous/next buttons, assigning URL's dynamically
    //from the aArr array depending on what the current page is using the variable cur. It also controls 
    //the .off class when the user is on either the first or last page.
    if (!cur) {
      aNext.find('a').attr('href', aArr[cur + 1]);
      aPrev.addClass('off').find('a').attr('href', '#');
    }
    
    else if (cur == aArr.length - 1) {
      aNext.addClass('off').find('a').attr('href', '#');
      aPrev.find('a').attr('href', aArr[cur -1]);
    }
    
    else {
      aNext.find('a').attr('href', aArr[cur +1]); 
      aPrev.find('a').attr('href', aArr[cur -1]); 
    }
  }
}

/*  -|-|- */
/*********************************************************************************************
* NAME:     parseUrl 
* CALLED BY:  The above document.ready
* PURPOSE:  Parses a given url, delivering only the last filename in the path minus
*       its extension.
*********************************************************************************************/
parseUrl = function(theUrl) {
  var parseUrl = theUrl.split("/");
  parseUrl = parseUrl[parseUrl.length-1].split(".");
  return parseUrl = parseUrl[0];    
}



/* |||] */
/********************************************************************************************************
* NAME:   accMenu()
* CALLED BY:  Accordion Menu system
* PURPOSE:  Prepares the accordion menu system and attaches necessary events  
********************************************************************************************************/
function accMenu() {
  formatAccordion();
  
  //  Makes all divs slide up when the script loads. Kind of annoying since it makes ALL divs scroll up, but because this is
  //  an earlier version of jquery it's necessary to get even the divs within the accordion to properly hide. 
  $('#accordion div').slideUp('slow');
  
  //  This is a bit of a holdover from when 2 accordions could exist on a single page, and although that functionality
  //  is removed now, I've kept this in place mostly because it works, and because at some point having 2 accordions
  //  on a page may become a requirement again. It determines what the width is of the accordion to correctly place
  //  the on/off arrows
  var spanW = ( $('.grid_4 #accordion').size() > 0 ) ? 'grid_4' : 'grid_8';
  spanW = $('.' + spanW).find('#accordion').innerWidth();
  
  var tempW = $('#accordion').outerWidth();
  
  //  Removes all instances of .nav from within the accordion.
  $('#accordion').find('.nav').each( function(index) { $(this).remove(); });

  //  Assigns all of the click actions to the span's with class .clickHeader
  $('#accordion li span.clickHeader').click(
    function() {
      //  Gets the div which holds the accordion items
      var checkElement = $(this).next();
      var sHeight = $('#accWrapper').outerHeight();
      //  If the checkelement is a div (which it should be) and it's not visible, do the following
      if((checkElement.is('div')) && (!checkElement.is(':visible'))) {        
        //  Slide's down the div whose sibling span.clickHeader was clicked. I had to force the display of all of the
        //  child div's within checkElement since jquery was acting a little goofy and wouldn't show them otherwise
        checkElement.slideDown('slow'); 
        checkElement.find('div').css("display", "block"); 
        
        checkElement.find('*').each( function(){
          var w = $(this).css('width');
          var h = $(this).outerHeight();
          
          w = w.split('px');
          
          
          if( w[0] > tempW )
            $(this).css('width', 'auto');
          else if( $(this).hasClass('box') )
            //alert(h)
            if( h < 20 )
              $(this).css('height', 'auto')
        });       
        
        //  Although there is a line above that should remove all instances of .nav within the accordion, strangely
        //  it doesn't always. This is a last ditch effort to at least hide any remaining .nav's
        $('#accordion').find('.nav').hide();
        
        //  Sets the clickHeader that was clicked font's color and background image to an on-state
        checkElement.parent().find('span.clickHeader').css({ 'background-position' : '-928px -1181px' , 'color' : '#990000' });
        return false;
      }
      //  If the item clicked either isn't a div or visible
      else {
        //  Slide up element and set the span.clickHeader state to off
        
        h = checkElement.outerHeight()
        checkElement.slideUp('slow'); 
        checkElement.parent().find('span.clickHeader').css({ 'background-position' : '-900px -1209px' , 'color' : '#295890' });
        return false;
      }
    }
  );
  
	$('div.accWrapper').find('div.controls a').each( function(){
		$(this).expandAll();
		$(this).css('cursor','pointer');
	});
  
}




/* |||] */
/********************************************************************************************************
* NAME: formatAccordion()
* CALLED BY:  accMenu()
* PURPOSE:  When the accordion is in the right column (.grid4) this script fires and adds the 
*       appropriate classes to make it look more like a features box
********************************************************************************************************/
function formatAccordion() {
  //  If there is a right column (.grid4) then perform the following actions
  if( $('.grid_4').find('#accWrapper').size() > 0 ) {
    //  The following statements create objects and assign classes to them. 
    var dWrap = $('<div />').addClass('box');
    var dBox = $('<div />').addClass('box-body');
    var dTitle = $('<h4 />').text( $('.grid_4').find('#accWrapper').find('h1').text() );
    $('.grid_4').find('#accWrapper').find('h1').remove();
    
    //  Clones the entire accordion menu
    var acc = $('.grid_4').find('#accWrapper').clone(); 
    
    //  Attaches the clone to the .box-body div
    var dHold = dBox.append(acc);

    //  Attaches the title to the .box div, then attaches the .box-body div next
    dHold = dWrap.append(dTitle).append(dHold);
    
    //  Wipes out the currently existing accordion and replaces it with the newly formatted accordion
    $('.grid_4').find('#accWrapper').replaceWith(dHold);

    //  Ensures that the pagination .nav is removed from the accordion
    $('.grid_4').find('#accordion').find('.nav').each( function(index) {
      $(this).remove();
    });
  } 
}


$.fn.expandAll = function(){
	var spanW = ( $('.grid_4 .accordion').size() > 0 ) ? 'grid_4' : 'grid_8';
	spanW = $('.' + spanW).find('.accordion').innerWidth();

	var tempW = $('.accordion').outerWidth();
	
	$('.accordion').find('*').each( function(){
		var w = $(this).css('width');
		var h = $(this).outerHeight();

		w = w.split('px');

		if( w[0] > tempW )
			$(this).css('width', 'auto');
		else if( $(this).hasClass('box') )
			//alert(h)
			if( h < 20 )
				$(this).css('height', 'auto')
	});
	
	$(this).click( function(event){
		event.preventDefault();
		var obj = $(this).parent().parent();
		if( $(this).text() === "Collapse All"  )
			obj
				.find('.accordion div')
				.slideUp('normal')
			.end()		
				.find('.accordion li span.clickHeader')
				.css({ 
					'background-position' : '-900px -1209px',
					'color' : '#295890'
					});
		else
			obj
				.find('.accordion div')
				.slideDown('normal')
			.end()		
				.find('.accordion li span.clickHeader')
				.css({ 
					'background-position' : '-928px -1181px',
					'color' : '#990000'
					});		
	});	
};

/* ENDOF ACCORDION MENU */





  
/* [i] */
/********************************************************************************************************
* NAME: frameHeight()
* CALLED BY:  document.ready
* PURPOSE:  Expands a specified iframe to be the height of its contents
********************************************************************************************************/ 
function frameHeight() {
  if( !$('.iframed').size() ) return false;
  
  var uUrl = $(location).attr('host');
  
  $('.iframed').each( function(){
    
    if(uUrl.indexOf('cms') != -1 || uUrl.indexOf('dev') != -1) {
      var pParse = $(this).attr('src');
      pParse = pParse.split('/');
      pParse[2] = uUrl;
    
      uUrl = pParse.join('/');

      $(this).attr('src',uUrl);
    } 
    
    $(this).load( function(){  

      $(this).css('height', 0);
      $(this).css('height' , $(this).contents().find('body').outerHeight() + 20);
      
      $(this).contents().find('img').each( function(){
        if( $(this).attr('src').indexOf('edit.gif') != -1 )
          $(this).parent().outOfFrame();
      });
      $(this).contents().find('.elements a, .editButton a').each( function() {
        $(this).outOfFrame();
      });
    }); 
  });
}

$.fn.outOfFrame = function(){
  $(this).click( function() {
    if( $(this).attr("target") == "_blank" )
      window.open( $(this).attr('href') );
    else
      parent.location.href= $(this).attr('href');
    return false;
  }); 
};



/* COUNTDOWN CLOCK 
-----------------------------------------------------------------------------------------------------------------*/
$(function(){
    $('div.countdown').each(function(){
        var time = $(this).find('.cnt_time').text();
        var message = $(this).find('.cnt_message').text();
        initCountdown(time,true,-1,true,message);
		$(this).css('height', '80px');
    });         
});


function initCountdown(TargetDate,CountActive,CountStepper,LeadingZero,FinishMessage){
  $('div.finishMessage').text(FinishMessage);
  
  if (typeof(TargetDate)=="undefined")
    TargetDate = "12/31/2020 5:00 AM";
  if (typeof(CountActive)=="undefined")
    CountActive = true;
  if (typeof(FinishMessage)=="undefined")
    FinishMessage = "";
  if (typeof(CountStepper)!="number")
    CountStepper = -1;
  if (typeof(LeadingZero)=="undefined")
    LeadingZero = true;

  CountStepper = Math.ceil(CountStepper);

  if (CountStepper == 0)
    CountActive = false;

  var SetTimeOutPeriod = (Math.abs(CountStepper)-1)*1000 + 990;

  var dthen = new Date(TargetDate);
  var dnow = new Date();

  if(CountStepper>0)
    ddiff = new Date(dnow-dthen);
  else
    ddiff = new Date(dthen-dnow);

  gsecs = Math.floor(ddiff.valueOf()/1000);

  CountBack(gsecs,LeadingZero,CountActive,CountStepper,SetTimeOutPeriod);
}


function calcage(secs, num1, num2,LeadingZero) {
  s = ((Math.floor(secs/num1))%num2).toString();
  if (LeadingZero && s.length < 2)
    s = "0" + s;
    return s;
}


function CountBack(secs,LeadingZero,CountActive,CountStepper,SetTimeOutPeriod) {
  if (secs < 0) {   
    $('div.actualCount').fadeOut('fast', function(){
		$('div.finishMessage').fadeIn('fast');
	});
    return;
  }

  $('div.actualCount .days').text( calcage(secs,86400,100000,LeadingZero) );
  $('div.actualCount .hours').text( calcage(secs,3600,24,LeadingZero) );
  $('div.actualCount .minutes').text( calcage(secs,60,60,LeadingZero) );
  $('div.actualCount .seconds').text( calcage(secs,1,60,LeadingZero) );

  if(CountActive)
    setTimeout("CountBack(" + (secs+CountStepper) + ","+ LeadingZero +","+ CountActive +","+ CountStepper +","+ SetTimeOutPeriod +")", SetTimeOutPeriod);
}
/* ENDOF COUNTDOWN CLOCK */


/* FLICKR FEED ------------------------------------------------------------------------------------------- */
$( function(){
  $('div.flickrImages').each( function(c){
    
    var t = $(this);
    var flickrUrl = t.find('.flickrUrl').text();
    

    if(flickrUrl.length>0)
        $.getJSON(flickrUrl, function(data){
            $.each(data.items, function(i,item){
                var pn = 'panel' + c + Math.ceil((i+1)/4)
                                       
                if( !$('.'+pn).size()  )
                    $('<div class="panel" />').addClass(pn).appendTo( t.find('.flickrScroll'));
                
                
            $("<img/>")
              .attr({
                "src" : item.media.m,
                "alt" : item.title
              })
              .appendTo( $('.'+pn) )
                .wrap("<a href='" + item.link + "' target='_blank'></a>");
          });

            t.find('.flickrScroll').css('width', ( t.find('.panel').size() * t.find('.panel').outerWidth()) + 'px' );

            t.find('div.btn').each( function(){
              $(this).click( function(){
                  var scrollW = t.find('.panel').outerWidth()  //How many pixels to scroll per panel
                  var left = $(this).hasClass('left') ? 1 : 0 //which direction to move the panels
                  var pos = t.find('.flickrScroll').position().left; //the current position of the scroller
                  var max = -1 * ((t.find('.panel').size() -1) * t.find('.panel').outerWidth()) //the most pixels that should be scrolled to

                  if(left && pos<0)
                    t.find('.flickrScroll').animate({ left : '+='+scrollW });
                  else if(!left && pos!=max)
                    t.find('.flickrScroll').animate({ left : '-='+scrollW });
                });
            });       
        });
    });